Bug 807461 - anaconda still requires 'serial' for headless installs
anaconda still requires 'serial' for headless installs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 494832
  Show dependency treegraph
 
Reported: 2012-03-27 16:40 EDT by Dave Allan
Modified: 2016-04-26 10:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2012-03-27 16:40:44 EDT
Description of problem:
According to:

https://bugzilla.redhat.com/show_bug.cgi?id=804506#c2

"'serial' is also deprecated - it's a synonym for "console=ttyS0", so use that
instead."

Version-Release number of selected component (if applicable):
F17 Beta RC1

How reproducible:
100%

Steps to Reproduce:
1. boot F17 Beta RC1 and append only 'console=ttyS0' but not 'serial'
2. select text mode and complete the install
3. reboot

Actual results:
system shows the grub menu, but does not display boot output or a console

Expected results:
correctly configured serial console, as appears if 'serial' and 'console=ttyS0' are specified

Additional info:
Perhaps it's only a broken console, but I can't tell if the machine is booted or not.  The system works properly if I append 'serial console=ttyS0' as I always have, so I don't think this is a high severity bug.  I'm just filing this BZ because of 804506#c2.
Comment 1 Patrick C. F. Ernzer 2012-03-28 07:10:16 EDT
I can confirm that I see this behaviour on F17 alpha
Comment 3 Fedora End Of Life 2013-07-04 00:20:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 09:12:39 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.